<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="热处理废品原因维护">
	<query id="HttReport.doQuery" desc="查询">
	 <![CDATA[ 
SELECT PLINE_CODE,
       REPORT_NO,
       REPORT_NO_NEW,
       REPORT_NO_TIME,
       REPORT_NAME,
       COL_USER,
       COL_TIME,
       REMARK,
       GENERATE_STATION,
       RECEIVING_STATION,
       SAVE_STATION,
       STORAGE_LIFE,
       ENGLISH_NAME,
       REPORT_TYPE,
       MACHINE_NO,
       INTERMEDIARY
  FROM HTT_REPORT where 1=1
	  ]]>
	</query>
	
	<query id="HttReport.doSameData" desc="查询">
	 <![CDATA[ 
SELECT PLINE_CODE,
       REPORT_NO,
       REPORT_NO_NEW,
       REPORT_NO_TIME,
       REPORT_NAME,
       COL_USER,
       COL_TIME,
       REMARK,
       GENERATE_STATION,
       RECEIVING_STATION,
       SAVE_STATION,
       STORAGE_LIFE,
       ENGLISH_NAME,
       INTERMEDIARY,
       MACHINE_NO
  FROM HTT_REPORT where 1=1
	  ]]>
	</query>
	<query id="HttReport.addReportNo" desc="新增">
	 <![CDATA[ 
INSERT INTO HTT_REPORT
  (PLINE_CODE,
   REPORT_NO,
   REPORT_NO_NEW,
   REPORT_NO_TIME,
   REPORT_NAME,
   COL_USER,
   COL_TIME,
   REMARK,
   GENERATE_STATION,
   RECEIVING_STATION,
   SAVE_STATION,
   STORAGE_LIFE,
   ENGLISH_NAME,
   INTERMEDIARY,
   REPORT_TYPE,
   MACHINE_NO,
   REPORT_CPT)
VALUES
  ('#PLINE_CODE#',
   '#REPORT_NO#',
   '#REPORT_NO_NEW#',
   '#REPORT_NO_TIME#',
   '#REPORT_NAME#',
   '#COL_USER#',
   TO_DATE('#COL_TIME#','YYYY-MM-DD HH24:MI:SS'),
   '#REMARK#',
   '#GENERATE_STATION#',
   '#RECEIVING_STATION#',
   '#SAVE_STATION#',
   '#STORAGE_LIFE#',
   '#ENGLISH_NAME#',
   '#INTERMEDIARY#',
   '#REPORT_TYPE#',
   '#MACHINE_NO#',
   '#REPORT_CPT#')
	  ]]>
	</query>
	
	<query id="HttReport.updateReportNo" desc="修改">
	 <![CDATA[ 
UPDATE HTT_REPORT
   SET PLINE_CODE = '#PLINE_CODE#',
       REPORT_NO = '#REPORT_NO#',
       REPORT_NO_NEW = '#REPORT_NO_NEW#',
       REPORT_NO_TIME = '#REPORT_NO_TIME#',
       REPORT_NAME = '#REPORT_NAME#',
       COL_USER = '#COL_USER#',
       COL_TIME = TO_DATE('#COL_TIME#','YYYY-MM-DD HH24:MI:SS'),
       REMARK = '#REMARK#',
       GENERATE_STATION = '#GENERATE_STATION#',
       RECEIVING_STATION = '#RECEIVING_STATION#',
       SAVE_STATION = '#SAVE_STATION#',
       STORAGE_LIFE = '#STORAGE_LIFE#',
       ENGLISH_NAME = '#ENGLISH_NAME#',
       REPORT_TYPE = '#REPORT_TYPE#',
       INTERMEDIARY = '#INTERMEDIARY#',
       MACHINE_NO = '#MACHINE_NO#'
 WHERE PLINE_CODE = '#PLINE_CODE#'
   AND REPORT_TYPE = '#REPORT_TYPE#'
   AND  MACHINE_NO = '#MACHINE_NO#'
	  ]]>
	</query>
	
	<query id="HttReport.cancelReportNo" desc="删除">
	 <![CDATA[ 
DELETE HTT_REPORT
 WHERE  PLINE_CODE = '#PLINE_CODE#'
   AND REPORT_TYPE = '#REPORT_TYPE#'
   AND  MACHINE_NO = '#MACHINE_NO#'
	  ]]>
	</query>

</queryMap>